package com.ruoyi.project.pssr.domain.dto;

import java.util.List;

public class TPssrApproveDto {

    private Long[] ids;
    private Long id;

    private Long subId;

    private String subName;

    private Long taskType;

    private String reason;
    
    private Long fileNum;

    public Long getFileNum() {
        return fileNum;
    }

    public void setFileNum(Long fileNum) {
        this.fileNum = fileNum;
    }

    private String torchvocType;

    private String lightingType;

    private String devType;

    public String getDevType() {
        return devType;
    }

    public void setDevType(String devType) {
        this.devType = devType;
    }

    public String getTorchvocType() {
        return torchvocType;
    }

    public void setTorchvocType(String torchvocType) {
        this.torchvocType = torchvocType;
    }

    public String getLightingType() {
        return lightingType;
    }

    public void setLightingType(String lightingType) {
        this.lightingType = lightingType;
    }

    private List<TPssrApproveDto> dataList;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<TPssrApproveDto> getDataList() {
        return dataList;
    }

    public void setDataList(List<TPssrApproveDto> dataList) {
        this.dataList = dataList;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Long getTaskType() {
        return taskType;
    }

    public void setTaskType(Long taskType) {
        this.taskType = taskType;
    }

    public Long[] getIds() {
        return ids;
    }

    public void setIds(Long[] ids) {
        this.ids = ids;
    }

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }
}
